<?php
//error_reporting(0);

//Incluir Archivos Necesarios
  require_once '../Clases/db.php';
  require_once '../Clases/Registro_Datos.php';


  //Verificar si el usuario ha iniciado sesion 
  session_start();
  if (!isset($_SESSION['Username'])) { 
    header("Location: ../index.php");
    exit;
  }

//############# TOASTS ############//
include "../ArchivosCSS/StyleToasts.php";
?>
<!DOCTYPE html>
<html lang="es">
<header>
  <title>Datos Personales</title>
  <link rel="stylesheet" type="text/css" href="../ArchivosCSS/Toast_Position.css"> 
  </header>
<body>
    <!--======== Incluir Menu Lateral y Nav ========-->
    <?php  include 'menu_lateral.php'; ?>

<!--======== Main ========-->
  <div class="main">
    <div class="interno" >

      <!--======== Area Toast ========-->
      <div class="contenedor-toasts-internos" id="contenedor-botones">
      <?php
      if(isset($_GET["m"])){
        $m = $_GET["m"]; 
        switch($m){
          case "1":
          //toast de error "No se pudo registrar los datos.Esta Cedula ya se encuentra registrada!!"
          echo $errorDatosP1 ;
          echo $errorToastDatosP1;
          break; 
          case "2":
          //toast de exito "Se ha Registrado Correctamente!!""
          echo $exitoDatosP1;
          echo $exitoToastDatosP1;
          break; 
        } 
      }
      if(isset($_GET["Edit_DatosP"])==1){
        //toast de exito Eliminacion correcta
        echo $exitoEDIT;
        echo $exitoToastEDIT;
      }
      if(isset($_GET["Delete_DatosP"])==1){

        //toast de exito Eliminacion correcta
        echo $exitoDELETE;
        echo $exitoToastDELETE;
      }
      if(isset($_GET["Restaurar_DatosP"])==1){
        //toast de exito Restauracion correcta
        echo $exitoRESTAURAR;
        echo $exitoToastRESTAURAR;
      }      
      ?>
    </div>
    <!--======== Fin Area Toast ========-->

    <div class="breadcrumb-holder">
        
       <!--======== Boton para registrar Datos Personales ========-->
      <button  class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#Crear">
       <i class="bi bi-pencil-square"></i> Registrar Datos 
       </button> <?php  include('./Modales/DatosP/registrardatos.php'); ?> 
 </div><br>

 <form action="datos_personales.php" method="post"> 
  <div class="row">
                <div class="col-lg-3">
                     <select class="form-select" aria-label="Default select example" name="tipop">
                        <option selected>Ver Datos Personales de:</option>
                        <option value="1">Proveedor</option>
                        <option value="2">Cliente</option>
                     </select>
                </div>
                <div class="col-lg-4">
                      <input type="submit" value="Buscar" class="btn btn-primary">
                </div> 
  </div> 
</form>

 <div class="row">
   <div class="col-lg-12">
 <?php
if(isset($_POST['tipop']))
{
        require_once '../Clases/db.php';
  require_once '../Clases/Registro_Datos.php';
        $mostrar = new registro_datos ();
  $datos = $mostrar->getAllDatos($_POST['tipop']); //Objeto para mostrar todos los datos registrados
?>
     <br> 

     <table id="myTable" class="table table-dark table-striped ">
      <thead>
        <tr>
          <td>Cedula</td>
          <td>Nombre</td>
          <td>Apellido</td>
          <td>Direccion</td>
          <td>Telefono</td>
          <td>Correo</td>
          <td>Tipo Persona</td>
          <td>Acciones</td>                         
        </tr>
      </thead>
      <tbody>
       <?php foreach ($datos as $dato) { ?>
         <tr>

           <td><?php echo $dato['tipo_documento'], $dato['Cedula']; ?></td>
           <td><?php echo $dato['Nombre']; ?></td>
           <td><?php echo $dato['Apellido']; ?></td>
           <td><?php echo $dato['Direccion']; ?></td>
           <td><?php echo $dato['Telefono']; ?></td>
           <td><?php echo $dato['Correo']; ?></td>
            <td><?php echo $dato['Tipo_per']; ?></td>
           <td>
            <button type="button" data-bs-toggle="modal" 
            data-bs-target="#editar<?php echo $dato['Cedula']; ?>" class="btn btn-warning btn-sm"><i class="bi bi-pencil-square"></i>
          </button>
          <button type="button" data-bs-toggle="modal"
          data-bs-target="#eliminar<?php echo $dato['Cedula']; ?>"class="btn btn-danger btn-sm"><i class="bi bi-trash-fill"></i>
        </button>
      </td>

    </tr>
    <?php  include('./Modales/DatosP/modal_datos.php'); ?>

  <?php }  
} ?>

</tbody>
</table>
</div>
</div>
<hr>
<div class="breadcrumb-holder">                                             
  <button type="button" class="btn btn-secondary" data-bs-toggle="modal" data-bs-target="#eliminadatos">
    <i class="bi bi-eye-fill"></i> Ver Registros Eliminadas
    </button> <?php  include('./Modales/DatosP/registroeliminados.php'); ?>

  </div>

</div><!--##:: Fin DivMain ::##-->
</div>

<!--======== Jquery / bootstrap.bundle / bootstrap.min / Datatable / Toast ========-->
<script src="../ArchivosJS/jquery-3.6.0.min.js"></script> 
<script src="../bootstrap-5.3.1/js/bootstrap.bundle.min.js"></script>
<script src="../ArchivosJS/bootstrap.min.js"></script>
<script src="../DataTables/datatables.min.js"></script>
<script src="../ArchivosJS/toasts.js"></script>
<script type="text/javascript">
  $(document).ready( function () {
    $('#myTable').DataTable({
      language: {
        processing:     "Tratamiento en curso...",
        search:         "Buscar:" ,
        lengthMenu:    "Filtro de _MENU_ datos",
        info:           "Mostrando del dato _START_ al _END_ de un total de _TOTAL_ datos",
        infoEmpty:      "No existen registros",
        infoFiltered:   "(filtrado de _MAX_ datos en total)",
        infoPostFix:    "",
        loadingRecords: "Cargando elementos...",
        zeroRecords:    "No se encontraron los datos de tu busquda..",
        emptyTable:     "No hay ningun registro en la tabla",
        paginate: {
          first:      "Primero",
          previous:   "Anterior",
          next:       "Siguiente",
          last:       "Ultimo"
        },
        aria: {
          sortAscending:  ": Active para odernar en modo ascendente",
          sortDescending: ": Active para ordenar en modo descendente  ",
        }
      }
    } );
  } );
</script>
<script type="text/javascript">
  $(document).ready(function() {
   $('.btnRestaurar').click(function(e){

    e.preventDefault();
    var IDE = $(this).attr("ID");

    var dataString = 'ID='+ IDE;
    url = "./controladores/DatosP/restaurar_datos.php";
    $.ajax({
      type: "POST",
      url: url,
      data: dataString,
      success: function(data)
      {
        window.location.href="datos_personales.php?Restaurar_DatosP=1";
        $('#respuesta').html(data);
      }
    });
    return false;
  });
 });
</script>
<script>
  // Esta función se ejecutará cuando el usuario quite el mouse del campo de entrada de cédula
  function validarCedula() {
    // Obtener el valor de la cédula ingresada
    var cedula = document.getElementsByName('cedulaP')[0].value;

    // Hacer la solicitud al servidor para verificar si la cédula ya existe
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
      if (this.readyState == 4 && this.status == 200) {
        // Manejar la respuesta del servidor
      
          // La cédula ya existe
          // Puedes mostrar un mensaje al usuario o realizar otra acción
         $("#message").text(xhttp.responseText)
         $("#message").css("color","red")
        }   else {
          // La cédula no existe
          // Puedes mostrar un mensaje al usuario o realizar otra acción
          console.log("Cedula disponible");
        }
      
    };
    xhttp.open("POST", "./controladores/DatosP/validar.php", true);
    xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xhttp.send("validarcedula=" + cedula);
  }
  // Asociar la función validarCedula al evento "onblur" del campo de entrada de cédula
  document.getElementsByName('cedulaP')[0].onblur = validarCedula;
</script>

<script>
  // Esta función se ejecutará cuando el usuario quite el mouse del campo de entrada de cédula
  function validarCedula() {
    // Obtener el valor de la cédula ingresada
    var cedula = document.getElementsByName('cedula')[0].value;

    // Hacer la solicitud al servidor para verificar si la cédula ya existe
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
      if (this.readyState == 4 && this.status == 200) {
        // Manejar la respuesta del servidor
      
          // La cédula ya existe
          // Puedes mostrar un mensaje al usuario o realizar otra acción
         $("#messagec").text(xhttp.responseText)
         $("#messagec").css("color","red")
        }   else {
          // La cédula no existe
          // Puedes mostrar un mensaje al usuario o realizar otra acción
          console.log("Cedula disponible");
        }
      
    };
    xhttp.open("POST", "./controladores/DatosP/validar.php", true);
    xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xhttp.send("validarcedula=" + cedula);
  }
  // Asociar la función validarCedula al evento "onblur" del campo de entrada de cédula
  document.getElementsByName('cedula')[0].onblur = validarCedula;
</script>

<script>
  // Esta función se ejecutará cuando el usuario quite el mouse del campo de entrada de cédula
  function validarRif() {
    // Obtener el valor de la cédula ingresada
    var rif = document.getElementsByName('rif_empresa')[0].value;

    // Hacer la solicitud al servidor para verificar si la cédula ya existe
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
      if (this.readyState == 4 && this.status == 200) {
        // Manejar la respuesta del servidor
      
          // La cédula ya existe
          // Puedes mostrar un mensaje al usuario o realizar otra acción
         $("#messager").text(xhttp.responseText)
         $("#messager").css("color","red")
        }   else {
          // La cédula no existe
          // Puedes mostrar un mensaje al usuario o realizar otra acción
          console.log("Rif disponible");
        }
      
    };
    xhttp.open("POST", "./controladores/DatosP/validar.php", true);
    xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xhttp.send("validarif=" + rif);
  }
  // Asociar la función validarCedula al evento "onblur" del campo de entrada de cédula
  document.getElementsByName('rif_empresa')[0].onblur = validarRif;
</script>

<script>
$(document).ready(function(){
$("#checkCategoria").on("change",function(){
if($("#checkCategoria").prop("checked")){
$("#otro").append("<input class='form-control'placeholder='Nueva Categoria' onblur=''  type='text' name='otro' id='otra_ca'><span id='message'></span>");
}else{
$("#otra_ca").remove()
}
})
})
</script>

<footer class="footer">
    <p>&copy; Todos los derechos reservados - <?php echo date("Y"); ?> | La Emperadora Internet Y Mas</p>
</footer>
</body>
</html>